<table class="ui celled striped sortable table">
  <tr>
    <th align="center">Photo</th>
    <th align="center">Name</th>
    <th align="center">Status</th>
    <th align="center">Vote</th>
  </tr>
  <% @rushee_list&.each do |rushee| %>
    <tr>
      <td style="text-align:center;"><%= image_tag rushee.photo || rushee.default_photo, class: 'ui avatar image', size: '32' %></td>
      <td style="text-align:center;"><%= rushee.name %></td>
      <td style="text-align:center;">
        <% if rushee.rushee_status_id == 1 %>
          <div class="ui fluid blue label" align="center">
        <% elsif rushee.rushee_status_id == 2 %>
          <div class="ui fluid grey label" align="center">
        <% elsif rushee.rushee_status_id == 3 %>
          <div class="ui fluid green label" align="center">
        <% elsif rushee.rushee_status_id == 4 %>
          <div class="ui fluid black label" align="center">
        <% elsif rushee.rushee_status_id == 5 %>
          <div class="ui fluid yellow label" align="center">
        <% else %>
          <div class="ui fluid purple label" align="center">
        <% end %>
          <%= rushee.status_label %>
        </div>
      </td>
      <td style="text-align:center;">
        <% if policy(rushee).update? %>
          <%= link_to rushee_vote_yes_path(rushee), method: :put, :class => "ui labeled button", :tabindex=>"0" do %>
            <% if @vote_list.where(rushee_id: rushee.id)[0]&.yes %>
              <div class="ui toggle green small button">
            <% else %>
              <div class="ui toggle white small button">
            <% end %>
              Yes
            </div>
            <div class="ui basic green left pointing label">
              <%= rushee.vote_count_yes %>
            </div>
          <% end %>
          <%= link_to rushee_vote_no_path(rushee), method: :put, :class => "ui labeled button", :tabindex=>"0" do %>
            <% if @vote_list.where(rushee_id: rushee.id)[0]&.no %>
              <div class="ui toggle red small button">
            <% else %>
              <div class="ui toggle white small button">
            <% end %>
              No
            </div>
            <div class="ui basic red left pointing label">
              <%= rushee.vote_count_no %>
            </div>
          <% end %>
        <% else %>
          <%= link_to rushee_vote_yes_path(rushee), method: :put, :class => "ui labeled button", :tabindex=>"0" do %>
            <% if @vote_list.where(rushee_id: rushee.id)[0]&.yes %>
              <div class="ui toggle green small button">
            <% else %>
              <div class="ui toggle white small button">
            <% end %>
              Yes
            </div>
          <% end %>
          <%= link_to rushee_vote_no_path(rushee), method: :put, :class => "ui labeled button", :tabindex=>"0" do %>
            <% if @vote_list.where(rushee_id: rushee.id)[0]&.no %>
              <div class="ui toggle red small button">
            <% else %>
              <div class="ui toggle white small button">
            <% end %>
              No
            </div>
          <% end %>
        <% end %>
        <%= link_to rushee_contact_volunteer_path(rushee), method: :put, :class => "ui labeled button", :tabindex=>"0" do %>
          <% if @vote_list.where(rushee_id: rushee.id)[0]&.willing_contact %>
            <div class="ui toggle yellow small button">
          <% else %>
            <div class="ui toggle white small button">
          <% end %>
            Be Contact?
          </div>
        <% end %>
      </td>
    </tr>
  <% end %>
</table>
